QGIS Application - Bug report #10281

Database relations: after starting edit mode, selected record in embedded form not editable

2014-05-16 02:58 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: GUI

Affected QGIS version:2.2.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18710
Description

Situation: database relation defined, form embedded. When starting to edit the embedded form, the selected record is not editable. One
has to navigate to a different record and then back to edit the initially selected record. If there is only one record in the relation (embedded

form) there is no chance to edit the record in the embedded form at all.

See also attached screenshot

If you need further information, please let me know.

Associated revisions

Revision ea91b6fe - 2014-05-22 10:50 PM - Matthias Kuhn
[FEATURE] Port editor widgets to new API

Create a new widget for for attribute form

fix #10281

fix #7319

fix #7013

fix #9335
fix #4417

History

#1 - 2014-05-22 01:52 PM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"ea91b6fe4a21ff741de918a11d0f2a26a291c1e2".
